%define upstream_name    Encode-Detect
%define upstream_version 1.01

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 6

Summary:	An Encode::Encoding subclass that detects the encoding of data
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Encode/%{upstream_name}-%{upstream_version}.tar.bz2

Buildrequires:	perl-devel
Buildrequires:	perl(Module::Build)
Buildrequires:	perl(ExtUtils::CBuilder)
Buildrequires:	perl(Data::Dump)

%description
This Perl module is an Encode::Encoding subclass that uses
Encode::Detect::Detector to determine the charset of the input data and then
decodes it using the encoder of the detected charset.

It is similar to Encode::Guess, but does not require the configuration of a set
of expected encodings. Like Encode::Guess, it only supports decoding--it cannot
encode.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes LICENSE
%{perl_vendorarch}/Encode
%{perl_vendorarch}/auto/Encode
%{_mandir}/*/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-6.mga3
+ Revision: 366872
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.10.0-5.mga3
+ Revision: 250584
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.10.0-4.mga2
+ Revision: 104236
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 1.10.0-3.mga1
+ Revision: 11204
- imported package perl-Encode-Detect

